> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Whoami Authorised

> Returns the caller user, every org role with org feature flags, KYC details and Persona enablement.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /platform/whoami-authorised
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /platform/whoami-authorised:
    get:
      operationId: whoamiAuthorised
      summary: Whoami Authorised
      description: >-
        Returns the caller user, every org role with org feature flags, KYC
        details and Persona enablement.


        Not available to API keys.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WhoamiAuthorisedResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    WhoamiAuthorisedResponse:
      type: object
      properties:
        hrAutomationOnly:
          type: boolean
        kycDetails:
          type: object
          properties:
            roleInOrgID:
              type: string
            kycID:
              type: string
            kycLink:
              type: string
            kycStatus:
              type: string
              enum:
                - VERIFIED
                - PENDING
                - COMPLETED
                - REJECTED
            message:
              type: string
          required:
            - roleInOrgID
            - kycID
            - kycLink
            - kycStatus
        isPersonaEnabled:
          type: boolean
        roles:
          type: array
          items:
            type: object
            properties:
              roleInOrgID:
                type:
                  - string
                  - 'null'
              invitedByRecipientID:
                type:
                  - string
                  - 'null'
              role:
                type: string
                enum:
                  - TOKU_ADMIN
                  - CLIENT_ORG_ADMIN
                  - CLIENT_ORG_APPROVER
                  - FINANCE_ADMIN
                  - USER
                  - INVESTOR
                  - SUB_INVESTOR
                  - SUB_RECIPIENT
              orgID:
                type: string
              isTerminated:
                type: boolean
              lifecycleStatus:
                type:
                  - string
                  - 'null'
                enum:
                  - INVITED
                  - ONBOARDING
                  - ACTIVE
                  - OFFBOARDING
                  - TERMINATED
                  - ARCHIVED
                  - null
              org:
                type: object
                properties:
                  orgID:
                    type: string
                  orgName:
                    type: string
                  tokenName:
                    type:
                      - string
                      - 'null'
                  orgArchitectureVersion:
                    type:
                      - string
                      - 'null'
                    enum:
                      - LEGACY_TGA_FIRST
                      - PEOPLE_MANAGEMENT_FIRST
                      - null
                  isStableCoinPayrollEnabled:
                    type:
                      - boolean
                      - 'null'
                  isClientAdminHrisSyncedOrg:
                    type:
                      - boolean
                      - 'null'
                  finishedStablecoinPayrollOnboarding:
                    type:
                      - boolean
                      - 'null'
                  enablePaxos:
                    type:
                      - boolean
                      - 'null'
                  enableYo:
                    type:
                      - boolean
                      - 'null'
                  yoEverEnabled:
                    type:
                      - boolean
                      - 'null'
                  enableMorpho:
                    type:
                      - boolean
                      - 'null'
                  enableMultiCurrencyInvoices:
                    type:
                      - boolean
                      - 'null'
                  isHRISEnabled:
                    type:
                      - boolean
                      - 'null'
                  hrisOrgID:
                    type:
                      - string
                      - 'null'
                  isOktaEnabled:
                    type:
                      - boolean
                      - 'null'
                required:
                  - orgID
                  - orgName
                  - tokenName
              invitedByInvestorID:
                type:
                  - string
                  - 'null'
              invitedByInvestorName:
                type:
                  - string
                  - 'null'
              isOrgMarketMaker:
                type: boolean
              investorEntities:
                type: array
                items:
                  type: object
                  properties:
                    investorEntityID:
                      type: string
                    entityName:
                      type: string
                  required:
                    - investorEntityID
                    - entityName
              onboarded:
                type: boolean
            required:
              - roleInOrgID
              - invitedByRecipientID
              - role
              - orgID
              - org
              - invitedByInvestorID
              - invitedByInvestorName
              - isOrgMarketMaker
              - investorEntities
              - onboarded
        user:
          type:
            - object
            - 'null'
          properties:
            userID:
              type: string
            person:
              type: object
              properties:
                personID:
                  type: string
                givenName:
                  type: string
                familyName:
                  type: string
              required:
                - personID
                - givenName
                - familyName
            loginEmail:
              type: string
            isMfaEnabled:
              type: boolean
          required:
            - userID
            - person
            - loginEmail
            - isMfaEnabled
      required:
        - kycDetails
        - isPersonaEnabled
        - roles
        - user
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
